Subject: Re: Bug diff 2.8.7: Separate dir
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 6 Mar 2005 11:26:55 -0800

On Sat, Mar 05, 2005 at 09:52:16PM -0500, Igor Pechtchanski wrote:
> On Sun, 6 Mar 2005, Arend-Jan Westhoff wrote:
> > It also seems inconsequent if what you say is truely correct and what is
> > intended that when I use my file 'a' from my original example and do the
> > following:
> > 	copy a b
> > that then:
> > 	diff ./a .\b
> > says that the files are completely different, whereas:
> > 	diff ./a .\a
> > says they are completely equal, while files a and b are character for
> > character identical!
> 
> diff has an optimization that compares the arguments' inodes, and reports
> identity for the files with the same inode.  No matter which slash you
> use, they both resolve to the same file (only the metadata may be
> different), so the inode is the same.  The inodes for "a" and "b" aren't
> the same, so diff goes ahead and does the comparison (which reports the
> differences in line endings).  Try "ln a c" and compare "a" with "c" using
> your syntax. :-)

This part does sound like a bug.  Perhaps this diff optimization
should be suppressed, since in cases like this, ./a and .\a have
effectively different content.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/